Bug 6829 - patches+font for Ukrainian/Belarussian language support
: patches+font for Ukrainian/Belarussian language support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/design-bootloader-Compact)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
: 6828
:
  Show dependency tree
 
Reported: 2005-05-13 18:56 by
Modified: 2005-05-18 18:05 (History)


Attachments
s/ua/ek/g (900 bytes, patch)
2005-05-13 18:59, Michael Shigorin
no flags Details | Diff
font with en/ru/uk/be glyphs (6.23 KB, application/octet-stream)
2005-05-13 19:00, Michael Shigorin
no flags Details
sample file (helps + specific symbols) (59.21 KB, application/octet-stream)
2005-05-13 19:01, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-13 18:56:12
Прилагаю патчи (s/ua/uk/g) и шрифт для добавления поддержки украинского и
белорусского языков с нашим gfxboot-2.5.

Шрифт был получен при помощи getx11font из gfxboot с DISPLAY, где доступны
efont-unicode (причёсываю и в Sisyphus), при помощи следующей команды:

getx11font -v -l 18 -p 2,4 -c ISO-8859-15 -c ISO-8859-2 -c koi8-u -c koi8-r -c
cp1251 `./keymapchars keymap.*.inc` -t en+ru+uk+be.utf8 -t languages -f
-efont-fixed-medium-r-normal--16-160-75-75-c-80-iso10646-1 -f
-efont-fixed-medium-r-normal--16-160-75-75-c-160-iso10646-1 --fsize 16,5 
16x16.font > 16x16.font.log

ВНИМАНИЕ!  там нет глифов иврита и не разыскивался арабский шрифт haydar, ну и
скормить -t нечего (текста нет).  Поэтому размер шрифта примерно втрое меньше,
чем был.  Это вылезет с первым же переводом инсталера на такие языки, ну да
пусть пинают. :)

Соответственно в en+ru+uk+be.utf8 собраны хелпы en/ru/uk и белорусская длинная
"у" (спасибо vk@).
------- Comment #1 From 2005-05-13 18:59:22 -------
Created an attachment (id=876) [details]
s/ua/ek/g
------- Comment #2 From 2005-05-13 19:00:17 -------
Created an attachment (id=877) [details]
font with en/ru/uk/be glyphs
------- Comment #3 From 2005-05-13 19:01:17 -------
Created an attachment (id=878) [details]
sample file (helps + specific symbols)
------- Comment #4 From 2005-05-13 19:02:46 -------
(In reply to comment #1)
> Created an attachment (id=876) [edit] [details]
> s/ua/ek/g
Эээ... s/ua/uk/g :)

PS: +не забыть install2 поправить.

------- Comment #5 From 2005-05-14 12:40:36 -------
fixed (2.9.6)